Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.springframework.jdbc.datasource.embedded
Enum EmbeddedDatabaseType

    java.lang.Object
      java.lang.Enum<EmbeddedDatabaseType>
          org.springframework.jdbc.datasource.embedded.EmbeddedDatabaseType

All Implemented Interfaces:
  Serializable, Comparable<EmbeddedDatabaseType>

    public enum EmbeddedDatabaseType

extends Enum<EmbeddedDatabaseType>

A supported embedded database type.

Since:
  3.0
Author:
  Keith Donald, Oliver Gierke

Enum Constant Summary
`DERBY` The Apache Derby Embedded SQL Database (http://db.apache.org/derby)
`H2` The H2 Embedded Java SQL Database Engine (http://h2database.com)
`HSQL` The Hypersonic Embedded Java SQL Database (http://hsqldb.org)

Method Summary
`static EmbeddedDatabaseType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EmbeddedDatabaseType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HSQL

    public static final EmbeddedDatabaseType HSQL

  The Hypersonic Embedded Java SQL Database (http://hsqldb.org)

### H2

    public static final EmbeddedDatabaseType H2

  The H2 Embedded Java SQL Database Engine (http://h2database.com)

### DERBY

    public static final EmbeddedDatabaseType DERBY

  The Apache Derby Embedded SQL Database (http://db.apache.org/derby)

Method Detail

### values

    public static EmbeddedDatabaseType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EmbeddedDatabaseType c : EmbeddedDatabaseType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EmbeddedDatabaseType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD